//----HEADER
.header {
    z-index: 9;
    width: 100%;
    background: linear-gradient(to bottom, rgba(255,255,255,1) 0%,rgba(255,255,255,0.69) 55%,rgba(255,255,255,0.66) 57%,rgba(125,185,232,0) 100%);    height: 8rem;
    padding: 5px 0 30px 0;
    position: absolute;
    transition: all .7s cubic-bezier(.165, .84, .44, 1);

    &-commun {
        position: relative;
        display: flex;
        height: 100%;
        align-items: center;

        &__logo {
            width: 160px;
            margin-right: 3vw;
        }

        &__nav {
            width: auto;

            ul {
                height: 100%;
                display: flex;

                li {
                    padding: 0 7px;
                    margin-left: 20px;

                    a {
                        position: relative;
                        transition: all 300ms $pp-animation;
                        text-transform: uppercase;

                        &:hover {
                            color: $pp-dark-pink;
                        }

                        &::before {
                            content: '';
                            position: absolute;
                            bottom: -4px;
                            left: 0;
                            right: 0;
                            height: 2px;
                            background-color: $pp-dark-pink;
                            transform-origin: bottom right;
                            transform: scaleX(0);
                            transition: transform 0.5s ease;
                        }

                        &:hover::before {
                            transform-origin: bottom left;
                            transform: scaleX(1);
                        }
                    }
                }
            }
        }

        &__market {
            button {
                cursor: pointer;
                margin-left: 50px;
                position: relative;
                height: 60px;
                width: 60px;
                background-color: $pp-blue;
                border: none;
                border-radius: 50%;
                box-shadow: 3px 3px 4px 0px rgba(0,0,0,0.05);
                transition: all 300ms $pp-animation;

                &:hover {
                    box-shadow: 5px 5px 5px 0px rgba(0,0,0,0.08);
                    transform: scale(1.1);
                }

                i {
                    font-size: 25px;
                    color: $pp-white;
                }
            }
        }
    }
}
